> ## Documentation Index
> Fetch the complete documentation index at: https://docs.askvideos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search By Video



## OpenAPI

````yaml openapi.json post /index/{index_name}/search_video
openapi: 3.1.0
info:
  title: AskVideos
  version: 0.1.0
servers: []
security: []
paths:
  /index/{index_name}/search_video:
    post:
      summary: Search By Video
      operationId: search_by_video_index__index_name__search_video_post
      parameters:
        - name: index_name
          in: path
          required: true
          schema:
            type: string
            title: Index Name
        - name: top_k
          in: query
          required: false
          schema:
            type: integer
            title: Top K
            description: Number of segments to return
            default: 30
          description: Number of segments to return
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_search_by_video_index__index_name__search_video_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_search_by_video_index__index_name__search_video_post:
      properties:
        video_file:
          type: string
          format: binary
          title: Video File
          description: Upload video for search
        start_seconds:
          type: integer
          title: Start Seconds
          default: 0
        end_seconds:
          type: integer
          title: End Seconds
          default: -1
      type: object
      required:
        - video_file
      title: Body_search_by_video_index__index_name__search_video_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````